> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save bank accounts

> Save a new (or update an existing) set of bank accounts



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/banks/accounts
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/banks/accounts:
    post:
      tags:
        - Banks
      summary: Save bank accounts
      description: Save a new (or update an existing) set of bank accounts
      operationId: postBankAccounts
      requestBody:
        description: accounts object
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/TRAX_POST_BODYBankAccountPostDTOV5List'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionRetValV2'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_POST_BODYBankAccountPostDTOV5List:
      properties:
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/BankAccountPostDTOV5'
    ActionRetValV2:
      type: object
      properties:
        response:
          type: object
        status:
          type: string
          enum:
            - SUCCESS
            - FAILURE
    BankAccountPostDTOV5:
      type: object
      properties:
        id:
          type: integer
          description: Id of the account, required when updating an existing account
          format: int64
        status:
          type: string
          description: Status of the account
          enum:
            - ACTIVE
            - INACTIVE
        apiName:
          type: string
          description: Name of the API from which this transaction originated
          readOnly: true
          enum:
            - THIRD_PARTY_BANK
            - PLAID
            - USER_IMPORTED
        apiAccountId:
          type: string
          description: Id of the user's bank account on associated API
        apiAccountName:
          type: string
          description: Display name for the bank account from which this account originated
          example: Citi Premier® Card
        apiAccountNo:
          type: string
          description: >-
            Mask of the user's bank account, often the last 4 digits of the
            account number
        apiInstitutionId:
          type: string
          description: Name or id of the institution from which the transaction originated
        apiAccountType:
          type: string
          description: Type of the user's bank account
          example: CREDIT
          enum:
            - CREDIT
            - DEPOSITORY
        glAccountId:
          type: integer
          description: GL account id, referencing an account in the chart of accounts
          format: int64
        autoClassify:
          type: string
          description: >-
            Whether and how to attempt to classify transactions that belong this
            account
          enum:
            - 'OFF'
            - BUSINESS
            - NOT_BUSINESS
        defaultClientId:
          type: integer
          description: >-
            Id of the client to which to assign transactions that are auto
            classified as BUSINESS
          format: int64
        defaultBusinessId:
          type: integer
          description: >-
            Id of the business to assign transactions to that are auto
            classified as BUSINESS.
          format: int64
        createdDate:
          type: string
          description: Date this account was created
          format: date-time
          readOnly: true
        tranStartDate:
          type: string
          description: Earliest day for which to pull transactions
          format: date-time
        tranMinStartDate:
          type: string
          description: Earliest day for which transactions can be made available
          format: date-time
          readOnly: true
        billingCycleStartDay:
          maximum: 31
          minimum: 1
          type: integer
          description: Day of month on which this account's billing cycle starts
          format: int32
        scheduleClosings:
          type: boolean
          description: >-
            Whether to automatically create a pending bank closing once the
            applicable bank statement is available.
        integrationId:
          type: integer
          description: Id of the integration this account belongs to, if applicable
          format: int64
          readOnly: true
        syncTransactions:
          type: boolean
          description: Whether to sync transactions for this account
          example: true
        duplicateBankAccountIds:
          type: array
          description: List of ids of duplicate bank accounts
          items:
            type: integer
            description: List of ids of duplicate bank accounts
            format: int64
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````